#
# spec file for package python-dephell-setuptools
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python2 1
Name:           python-dephell-setuptools
Version:        0.2.3
Release:        bp155.2.11
Summary:        Dephell plugin to extract meta information from setup.py
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/dephell/dephell_setuptools
Source:         https://files.pythonhosted.org/packages/source/d/dephell_setuptools/dephell_setuptools-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-packaging
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module pytest}
# /SECTION
%python_subpackages

%description
Dephell plugin to extract meta information from setup.py.

%prep
%setup -q -n dephell_setuptools-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%license LICENSE
%doc README.md
%{python_sitelib}/*

%changelog
* Tue Mar  3 2020 Matej Cepl <mcepl@suse.com>
- Update to 0.2.3:
  - _pkginfo: Improve error handling
  - Fix 'CommandReader' on Windows
* Mon Dec  9 2019 John Vandenberg <jayvdb@gmail.com>
- Update to v0.2.1
  * check type annotations and add exceptions
* Sun Dec  1 2019 Matej Cepl <mcepl@suse.com>
- Update to version 0.1.2:
  - Fix python 3.5 compatibility.
* Sun Dec  1 2019 Matej Cepl <mcepl@suse.com>
- Initial commit, needed by dephell
